Subject: bug#17804: RFC: fixing the 32-bit size and time limits in gzip file format

From: Petr Stodůlka <[email-masked]>
Date: Thu, 19 Jun 2014 09:12:26 +0200

Dne 19.6.2014 00:12, Paul Eggert napsal(a):
> Petr Stodůlka wrote:
>
>> Are there any news/plans?
>
> Sorry, no.
>
> One simple way forward would be to implement what pigz -tl does, 
> namely, decompress the input stream and discard the output, but print 
> its size.  It's slow, but it works and requires no change to the gzip 
> format.  Is that something you could do?
That's not bad idea. However I think that general problem is speed for 
large archives in these days. But I understand that this is maybe best 
solution without change of gzip format.

May I will be able to work on patch, sometimes during next months, when 
I have time. I think that patch
should add new option, which will ignore field with input size data and 
get it as you described above.
So user will be able to set which method will be used.